pro conver2fts
; read existing header information

dum=readfits('O_1.00.FTS',h)
pxlsiz=sxpar(h,'CDELT1') * 3600.

restore,'mw_map_hi_rl2.sav'
nx=n_elements(TB2[*,0,0])
ny=n_elements(TB2[0,*,0])
nf=n_elements(TB2[0,0,*])

 for i = n_elements(h)-1,0,-1 do begin
  chks = strmid(h[i],21,4)
  if chks eq 'BMAJ' then goto,found
endfor
print,'Not found!'
found:


for k=0,nf-1 do begin

 B1  = pxlsiz
 B2  = pxlsiz
 factor=1.38E6/fGHz[k]^2/B1/B2 ; assume [Jy/pixel]

data=dum*0.
indata=reform(float(TB2[*,*,k]),nx,ny)
;indata=reform(imaginary(TB2[*,*,k]),nx,ny)

data[400:400+nx-1, 400:400+ny-1] = indata/factor

head=h
sxdelpar,head,'BUNIT'
sxaddpar,head,'BUNIT','Jy/pixel'
sxdelpar,head,'CRVAL3'
sxaddpar,head,'CRVAL3',fGHz[k]*1.0E9
sxaddpar,head,'HISTORY','This header post-added by JL to enable simulation.'
sxaddpar,head,'HISTORY','Frequency is changed and Beam should also change later'

if k le 10 then  begin


outfile='R_'+strcompress(string(k),/remove_all)+'.FTS'
;outfile='L_'+strcompress(string(k), /remove_all)+'.FTS'

endif else begin

outfile='R_'+strcompress(string(k),/remove_all)+'.FTS'
;outfile='L_'+strcompress(string(k),/remove_all)+'.FTS'
endelse



writefits,'/home/aips/FITS/'+outfile,data,head
print,'Saved: ',outfile

endfor

end


