; A program that reads in the aips maps,scales them makes a contour
; and saves the contour information

pro make_mdlcon,tmin,infile

  if (n_elements(infile) eq 0) then infile = dialog_pickfile(filter='mw_*.sav')
  if (infile eq '') then return

  restore,infile  ; To read in FGHz array

  nf = n_elements(fghz)
  pxya=replicate(ptr_new(),nf*2)
  pinfo=replicate(ptr_new(),nf*2)

;  ; Read AIPS images for x-mode
;  readimgs_xo,'X',ax

;  ax = ax*70.  ; For unknown reason, need to scale up by large factor
  for i=0,nf-1 do begin
    contour, float(tb2[*,*,i]),x,y,levels=[tmin],path_xy=xy,path_info=info,/path_data_coords
    pxya[i*2] = ptr_new(xy)
    pinfo[i*2] = ptr_new(info)
  endfor

;  ; Read AIPS images for o-mode
;  readimgs_xo,'O',ao

;  ao = ao*70.  ; For unknown reason, need to scale up by large factor
  for i=0,nf-1 do begin
    contour, imaginary(tb2[*,*,i]),x,y,levels=[tmin],path_xy=xy,path_info=info,/path_data_coords
    pxya[i*2+1] = ptr_new(xy)
    pinfo[i*2+1] = ptr_new(info)
  endfor

;  save,file='acontour.sav',pxya,pinfo

  ; Make contours for model (x-mode)
;  for i = 0,19 do begin
;    contour,min_curve_surf(float(tb2[*,*,i]),nx=54,ny=52),levels=[tmin],$
;           path_xy=xy,path_info=info,/path_data_coords
;    pxya[i*2] = ptr_new(xy)
;    pinfo[i*2] = ptr_new(info)
;  endfor

  ; Make contours for model (o-mode)
;  for i = 0,19 do begin
;    contour,min_curve_surf(imaginary(tb2[*,*,i]),nx=54,ny=52),levels=[tmin],$
;           path_xy=xy,path_info=info,/path_data_coords
;    pxya[i*2+1] = ptr_new(xy)
;    pinfo[i*2+1] = ptr_new(info)
;  endfor

  save,file='mcontour.sav',pxya,pinfo

return
end
