pro model_b,tmin,model,b,h

  ; This program returns the B field and height at which the model temperature
  ; equals the input value of TMIN.
  nx = n_elements(model.x)
  ny = n_elements(model.y)
  nz = n_elements(model.z)

  b = (h = fltarr(nx,ny))
  for i = 0, nx-1 do begin
     for j = 0, ny-1 do begin
        i1 = where(model.te[i,j,*] gt tmin,n)
        if (n ne 0) then begin
           i1 = i1[0]
           i0 = i1-1
           dz = (tmin - model.te[i,j,i0])/(model.te[i,j,i1] - model.te[i,j,i0])
           b[i,j] = model.bt[i,j,i0] + (model.bt[i,j,i1]-model.bt[i,j,i0])*dz
           h[i,j] = model.z[i0] + (model.z[i1]-model.z[i0])*dz
        endif else begin
           ; temperature is everywhere less than tmin
           b[i,j] = 0.
           h[i,j] = model.z[nz-1]
        endelse
     endfor
  endfor

return
end