function mw_e_ratio,mdl,fghz

   nx = n_elements(mdl.x)
   ny = n_elements(mdl.y)
   nz = n_elements(mdl.z)
   nf = n_elements(fghz)

   Dn = mdl.Dn
   Bl = mdl.Bz
   Btot = mdl.Bt
   Bt = sqrt(Btot^2-Bl^2)
   fp = 8.98e3*sqrt(Dn)
   fBt = 2.8e6*Bt
   fBl = 2.8e6*Bl
   Ro = fltarr(nf,nx,ny,nz)

   for q = 0, nf-1 do begin
      fhz = fghz[q]*1.e9
      X = (fp/fhz)^2
      bad = where(X ge 1.0,nbad)
      if (nbad ne 0) then X[bad] = 0.99
      YT = (fBt/fhz)
      YL = (fBl/fhz)
      bad = where(YL eq 0.0,nbad)
      if (nbad ne 0) then YL[bad] = 1.e-3
      rad = sqrt(YT^4/(4*(1 - X)^2) + YL^2)
      Ro[q,*,*,*] = -(YT^2/(2*(1-X)) - rad)/YL
   endfor

return,Ro
end