;+
; IDL batch file to compile the routines for microwave radiation calcualtion.
;
; It is upto you whether you start by
; executing this file:  IDL> @mw_go
; or run mw.pro directly. (see some instruction below)
;
; A typical use of these routines might be:
;
; IDL> @mw_go		; excute this file to compile rtns & get some instr.
; IDL> mw_modlin,'pot'	; create an input to mw from a potential field model
; IDL> mw		; run the main program 
; IDL> mw_plot		; plot the resulting maps
;
; Use doc_library to get more information about each of the routines.
;
; Nov. 11, 2002 Jeongwoo Lee (JL)  
;-

.run get_hdf
.run deriv
.run mw_modlin
.run mw
.run mw_transf
.run mw_ff_opacity
.run mw_gr_opacity
.run mw_gr_layers
.run mw_gr_plus_ff
.run mw_soltb
.run mw_plot1
print,' '
print,'-----------------------------------------------------'
print,'A Microwave Radiation Package'
print,' A simple use of this package can be:'
print," e.g.,  IDL> mw_modlin,'pot' -> create an input model"
print," e.g.,  IDL> mw              -> run the main program"
print," e.g.,  IDL> mw_plot         -> plot the result"
print,' will produce microwave brightness temperature maps'
print,' at default values of [frequencies, rotation angles,'
print,' map pixel size, and x,y ranges.'
print,'-----------------------------------------------------'
print,' '
