; This program reads in contours from the saved file and reads in the
; model and contours the models and overlays the contours from the
; saved file


pro over_con,tmin,map=map

  restore,'mw_maps.sav'   ; To read in FGHz array

  nf = n_elements(fghz)

  restore,'mdl.sav'

  ; Determine model magnetic field at temperature TMIN
  model_b,tmin,model,b,h

  ; Do grayscale contours of model magnetic field strength
  clevs = fghz/2.8e-3/3.
  contour,b[*,*],levels=clevs,$
     /fill,(model.x-model.x[0])*5*2.63/4,(model.y-model.y[0])*5*2.63/4, $
     xran=[0,300],yran=[0,300]
  contour,b[*,*],levels=clevs,$
     (model.x-model.x[0])*5*2.63/4,(model.y-model.y[0])*5*2.63/4, $
     xran=[0,300],yran=[0,300],color=255,/overplot

  ;print,clevs
  ;tvscl,congrid(replicate(1,30)#clevs,30,500),10,10

  if (not keyword_set(map)) then begin

    ; Overlay the contours of the same magnetic field strength from the aips maps
    restore,'acontour.sav'

    for k=0,39,2 do begin
      str = string(clevs[k/2],format='(f5.0)')
      x=0 & y=0
      x=((*pxya[k])[0,*])*2. - 218
      y=((*pxya[k])[1,*])*2. - 218
      info =*pinfo[k]
      for j=0,n_elements(info)-1 do begin
        js =info[j].offset
        je =info[j].offset + info[j].n -1
        oplot,x[js:je],y[js:je]
        xyouts,x[js],y[js],str
      endfor
    endfor
  endif else begin
    ; Overlay the contours of the same magnetic field strength from the model maps
    restore,'mcontour.sav'

    for k=0,39,2 do begin
      str = string(clevs[k/2],format='(f5.0)')
      x=0 & y=0
      x=((*pxya[k])[0,*])*5*2.63/2.
      y=((*pxya[k])[1,*])*5*2.63/2.
      info =*pinfo[k]
      for j=0,n_elements(info)-1 do begin
        js =info[j].offset
        je =info[j].offset + info[j].n -1
        oplot,x[js:je],y[js:je]
        xyouts,x[js],y[js],str
      endfor
    endfor
  endelse
return
end
