; This program reads in contours from the saved file and reads in the
; model and contours the models and overlays the contours from the
; saved file


pro over_con_rl,tmin,map=map

  restore,dialog_pickfile(filter='mw*.sav',title='Enter model datacube.')

  nf = n_elements(fghz)

  restore,'\home\fasr\fasr_model\leejw\mdl.sav'

  ; Determine model magnetic field at temperature TMIN
  model_b,tmin,model,b,h

  ; Do grayscale contours of model magnetic field strength
  clevs = fghz/2.8e-3/3.
  contour,b[*,*],levels=clevs,$
     /fill,model.x,model.y;,xran=[0,300],yran=[0,300]
  contour,b[*,*],levels=clevs[indgen(nf/5)*5],$
     model.x,model.y,color=255,/overplot;,xran=[0,300],yran=[0,300]

  ;print,clevs
  ;tvscl,congrid(replicate(1,30)#clevs,30,500),10,10

  if (not keyword_set(map)) then begin

    ; Overlay the contours of the same magnetic field strength from the aips maps
    restore,'acontour.sav'

    for k=0,nf-1,5 do begin
      str = string(clevs[k],format='(f5.0)')
      x=0 & y=0
      if (n_elements(*pxya[k]) ne 0) then begin
         x=(*pxya[k])[0,*]
         y=(*pxya[k])[1,*]
         info =*pinfo[k]
         for j=0,n_elements(info)-1 do begin
           js =info[j].offset
           je =info[j].offset + info[j].n -1
           oplot,x[js:je],y[js:je],color=0
           xyouts,x[js],y[js],str
         endfor
      endif
    endfor
  endif else begin
    ; Overlay the contours of the same magnetic field strength from the model maps
    restore,'mcontour.sav'

    for k=0,nf-1 do begin
      str = string(clevs[k],format='(f5.0)')
      x=0 & y=0
      x=(*pxya[k])[0,*]
      y=(*pxya[k])[1,*]
      info =*pinfo[k]
      for j=0,n_elements(info)-1 do begin
        js =info[j].offset
        je =info[j].offset + info[j].n -1
        oplot,x[js:je],y[js:je]
        xyouts,x[js],y[js],str
      endfor
    endfor
  endelse
return
end
