; This program reads in contours from the saved file and reads in the
; model and contours the models and overlays the contours from the
; saved file


pro over_mdlcon,tmin,map=map,infile

  if (n_elements(infile) eq 0) then infile = dialog_pickfile(filter='mw_*.sav')
  if (infile eq '') then return

  restore,infile  ; To read in FGHz array

  nf = n_elements(fghz)

  restore,'mdl.sav'

  ; Determine model magnetic field at temperature TMIN
  model_b,tmin,model,b,h

  ; Do grayscale contours of model magnetic field strength
  clevs = fghz/2.8e-3/3.
  klev = indgen(nf/5)*5
  contour,b[*,*],levels=clevs,$
     /fill,model.x,model.y, $
     xsty=1,ysty=1
  contour,b[*,*],levels=clevs[klev],c_linesty=[1],c_thick=[2],$
     model.x,model.y, $
     xsty=1,ysty=1,color=255,/overplot
  contour,b[*,*],levels=[266,1323],c_linesty=[1],$
     model.x,model.y, $
     xsty=1,ysty=1,color=0,/overplot,c_thick=[3]

  ;print,clevs
  ;tvscl,congrid(replicate(1,30)#clevs,30,500),10,10

  if (not keyword_set(map)) then begin

    ; Overlay the contours of the same magnetic field strength from the aips maps
    restore,'acontour.sav'

    for k=0,39,2 do begin
      str = string(clevs[k/2],format='(f5.0)')
      x=0 & y=0
      x=((*pxya[k])[0,*])*2. - 218
      y=((*pxya[k])[1,*])*2. - 218
      info =*pinfo[k]
      for j=0,n_elements(info)-1 do begin
        js =info[j].offset
        je =info[j].offset + info[j].n -1
        oplot,x[js:je],y[js:je]
        xyouts,x[js],y[js],str
      endfor
    endfor
  endif else begin
    ; Overlay the contours of the same magnetic field strength from the model maps
    restore,'mcontour.sav'

    for k=0,nf*2-1,10 do begin
      str = string(clevs[k/2],format='(f5.0)')
      if (abs(clevs[k/2] - 266.) le 1. or abs(clevs[k/2] - 1323) le 3.) then thick=3 else thick=1
      x=0 & y=0
      if (n_elements(*pinfo[k]) ne 0) then begin
        info = *pinfo[k]
        x=(*pxya[k])[0,*]
        y=(*pxya[k])[1,*]
        for j=0,n_elements(info)-1 do begin
          js =info[j].offset
          je =info[j].offset + info[j].n -1
          oplot,x[js:je],y[js:je],thick=thick
          xyouts,x[js],y[js],str
        endfor
      endif
    endfor
  endelse
return
end
