pro readimgs_rl

   ; Restore the input model in order to save the
   ; longitudinal magnetogram (model.bz at base height)
   ; with the maps.
   restore,'\home\fasr\fasr_model\leejw\mdl.sav'
   bz0 = congrid(model.bz[*,*,0],210,156,/interp)
   x = model.x
   y = model.y

   fghz = 10^(findgen(100)/71.)

   files = findfile('R_*OUT.FTS')
   f1 = where(strmid(files,3,1) ne '_')
   f2 = where(strmid(files,3,1) eq '_')
   files = files[[f2,shift(f1,-1)]]
   imgr = fltarr(210,156,100)

   bmaj = (bmin = fltarr(100))
   for i = 0, 99 do begin
      ; read each image and scale to T_b
      img = readfits(files[i],h)
      reads,h[where(strpos(h,'HISTORY AIPS   CLEAN BMAJ') EQ 0)],bmj,bmn,format='(26X,E12.4,6X,E12.4)'
      bmaj[i] = bmj*3600.
      bmin[i] = bmn*3600.
      imgr[*,*,i]=img[60:269,60:215]*1.22e6/(fghz[i])^2/(1.133*bmaj[i]*bmin[i])
   endfor

   files = findfile('L_*OUT.FTS')
   f1 = where(strmid(files,3,1) ne '_')
   f2 = where(strmid(files,3,1) eq '_')
   files = files[[f2,shift(f1,-1)]]
   imgl = imgr

   for i = 0, 99 do begin
      ; read each image and scale to T_b
      img = readfits(files[i],h)
      reads,h[where(strpos(h,'HISTORY AIPS   CLEAN BMAJ') EQ 0)],bmj,bmn,format='(26X,E12.4,6X,E12.4)'
      bmaj[i] = bmj*3600.
      bmin[i] = bmn*3600.
      imgl[*,*,i]=img[60:269,60:215]*1.22e6/(fghz[i])^2/(1.133*bmaj[i]*bmin[i])
   endfor

   tb2 = complex(imgr,imgl)
   x = congrid(x,210,1,/interp)
   y = congrid(y,156,1,/interp)
   save,file='aips_map_rl.sav',tb2,x,y,fghz,bz0
return
end
